Firmware woes with Cisco SG500X-24P

Discussion in 'Networking' started by j_h_o, Jun 25, 2016.

  1. j_h_o

    j_h_o Active Member

    Joined:
    Apr 21, 2015
    Messages:
    382
    Likes Received:
    77
    I'm trying to update an old SG500X-24P that's running 1.2.0.81.

    I've factory reset the switch, removed it from the stack, etc., etc.

    I upgraded the bootcode to the oldest available 1.3.0.03 but I'm unable to switch to the (oldest available) 1.2.0.97, let alone the recommended 1.3.5.58 from the support site.

    The webUI and TFTP will accept 1.2.0.97, but when I switch the active image, it reboots, then comes back up on 1.2.0.81 on factory defaults.

    If I try to feed it anything newer (fw-wise, including the recommended 1.3.5.58) it rejects it, claiming "Copy failed; Copy: Illegal software format" -- this is via HTTP or TFTP.

    I've tried Chrome and IE.

    This thread tells me to go get 1.2.0.83; when I call, the tech says he can't find this firmware.

    The Flash Memory log shows:
    2011-Nov-23 07:48:48 Emergency %MSCM-F-UNKNOWNIOTERMID: Unknown IO Terminal ID - MSCMP_print_and_get_string_with_timeout ***** FATAL ERROR ***** Reporting Task: CNLD. Software Version: 1.2.0.81 (date 23-Nov-2011 time 15:44:09) 0x16a4a4 0x166fd8 0x69c3e8 0x47c478 0x481944 0x481b00 0x63bd4c 0x5c81e0 0x5c8b20 0x5b4b4c 0x5b4dcc 0x5b4 e30 0x5b500c 0x5b5060 0x5b57ac 0x5b5878 0x5b5a28 0x5adaf0 0x5ade6c 0x65153c 0x647e7c 0x648468 0x4aceac 0x4ae1f8 0x121d34 ***** END OF FATAL ERRO R *****
    but it's unclear to me if this is at all related; the Cisco tech saw this error message as well and wasn't sure what to make of it.

    Suggestions?
     
    #1
  2. PigLover

    PigLover Moderator

    Joined:
    Jan 26, 2011
    Messages:
    2,786
    Likes Received:
    1,124
    Per the release notes, on page 9, firmware release 1.3.5 includes a change in the flash filesystem format and bootloader.

    Why not try upgrading the bootloader to 1.3.5, then upgrading to 1.3.5, and then upgrading to a current release.

    Just in case you don't have it, here's the firmware page: Cisco Systems
     
    #2
  3. j_h_o

    j_h_o Active Member

    Joined:
    Apr 21, 2015
    Messages:
    382
    Likes Received:
    77
    Boot flashed to 1.3.5, then the webUI and TFTP refuses FW 1.3.5 with "Illegal software format".

    I can flash 1.2.7.76 (which I've done) but it refuses to boot from it.

    I've tried following instructions at Article Viewer and the boot 1.4.0.02 also refuses to boot 1.2.7.76 or accept FW 1.3.5 via webUI.
     
    #3
  4. j_h_o

    j_h_o Active Member

    Joined:
    Apr 21, 2015
    Messages:
    382
    Likes Received:
    77
    Console says:

    Autoboot in 2 seconds - press RETURN or Esc. to abort and enter prom.
    Preparing to decompress...
    100%
    Decompression SW from image-2
    100%

    OK
    Running from RAM...
    Board ID is 33

    ...

    Flash size is: 32M
    MTSCG_init: No MTSC file
    19-Jul-2012 17:57:15 %CDB-I-LOADCONFIG: Loading running configuration.
    19-Jul-2012 17:57:15 %CDB-I-LOADCONFIG: Loading startup configuration.
    FLSYSG_init:h\unable to get mtsc parameter
    19-Jul-2012 17:57:15 %INIT-E-ApplErr: FLSYSG_init: Errors occurred during initialization
    19-Jul-2012 17:57:15 %INIT-F-ApplFatErr: RSP_init: Fatal Error in FLSYSG_init

    ***** FATAL ERROR *****
    Reporting Task: ROOT.
    Software Version: 1.2.7.76 (date 19-Jul-2012 time 17:56:59)
    0x16a614
    0x167054
    0x6bdc18
    0x490518
    0x4959e4
    0x495bac
    0x1cb010
    0x121d3c

    ********************** SYSTEM RESET ****************************
     
    #4
  5. pricklypunter

    pricklypunter Well-Known Member

    Joined:
    Nov 10, 2015
    Messages:
    1,546
    Likes Received:
    442
    The flash format changed in 1.3.7, so it has to be done incrementally otherwise the firmware will complain that it doesn't understand the format. The newer firmware will complain if it still has the old boot code as well for the same reason. As far as I know you need to get something like 1.3.5 going in the boot code then do a firmware upgrade to 1.3.7 or something like that, then as a final step move to the latest release.
     
    #5
  6. j_h_o

    j_h_o Active Member

    Joined:
    Apr 21, 2015
    Messages:
    382
    Likes Received:
    77
    I am doing things incrementally.

    As I said in my original post: The webUI in 1.2.0.81 won't accept 1.3.5 firmware, and even if I flash 1.2.0.97, it won't boot from it. I can't go any more incremental than that -- that's the oldest firmware available.
     
    #6
  7. PigLover

    PigLover Moderator

    Joined:
    Jan 26, 2011
    Messages:
    2,786
    Likes Received:
    1,124
    Have you tried upgrading to something closer to 1.3.5 before updating the bootloader?

    1.3.0.62 appears to be available on the website. IIRC, when I did these upgrades I upgraded to this release, upgraded the bootloader, then loaded 1.3.5, then loaded 1.3.7, then jumped to the newest firmware.
     
    #7
  8. j_h_o

    j_h_o Active Member

    Joined:
    Apr 21, 2015
    Messages:
    382
    Likes Received:
    77
    I've tried every single firmware between 1.2.0.97 thru to 1.3.5.x and none of them boot :(

    Booted to console, and I'm sending firmware via XMODEM at 3kb/s. Reminds me of downloading shareware games from BBSes.
     
    #8
  9. PigLover

    PigLover Moderator

    Joined:
    Jan 26, 2011
    Messages:
    2,786
    Likes Received:
    1,124
    Sorry to hear it. Sounds like the flash filesystem has gotten corrupted somehow, perhaps something between the "before" and "after" 1.3.5 config. Not sure how you will get past that.
     
    #9
  10. j_h_o

    j_h_o Active Member

    Joined:
    Apr 21, 2015
    Messages:
    382
    Likes Received:
    77
    Woot. It worked. Longest 45 minutes evar.

    I'm on 1.3.5 and just flashed 1.3.7 now.

    So if you're running something *really* old, the only way to update is to use console and send the firmware. Must be some issue with compatibility with Chrome and Firefox and IE with 1.2.0.81.
     
    #10
    pricklypunter and PigLover like this.
  11. pricklypunter

    pricklypunter Well-Known Member

    Joined:
    Nov 10, 2015
    Messages:
    1,546
    Likes Received:
    442
    Glad you got it working. There are a gazillion compatibility issues on these switches using browsers and running upgrades. Just about nothing works properly, there's always some gotcha or other. It's the primary reason I never use them for anything. I must have given a dozen of them away to folks I don't like over the years :D
     
    #11
Similar Threads: Firmware woes
Forum Title Date
Networking Crossflash IBM Connect X3 to Mellanox Firmware Jan 14, 2020
Networking question of mellanox secure firmware Dec 23, 2019
Networking Looking for Arista EOS-4.23.0.1F firmware Nov 20, 2019
Networking Dell S4810p firmware files Oct 27, 2019
Networking Looking for Microsemi SyncServer S600 firmware Oct 16, 2019

Share This Page